Declare libpostproc prerequisites directly instead of using a layer of
[ffmpeg.git] / libpostproc / Makefile
index 452c105..a39470b 100644 (file)
@@ -10,13 +10,13 @@ NAME=postproc
 LIBVERSION=$(SPPVERSION)
 LIBMAJOR=$(SPPMAJOR)
 
-STATIC_OBJS=postprocess.o
-SHARED_OBJS=postprocess_pic.o
-
 HEADERS = postprocess.h
 
 include ../common.mak
 
+$(LIBNAME): postprocess.o
+$(SLIBNAME_WITH_MAJOR): postprocess_pic.o
+
 depend dep: postprocess.c
 
 postprocess_pic.o: postprocess.c